# SPDX-License-Identifier: LGPL-3.0-or-later

import math
from typing import Sequence, Union, Tuple, List
import statistics


def weight(numbers: Sequence[float]) -> List[float]:
    weight = statistics.stdev(numbers) * 2
    weighted_numbers = [i * weight for i in numbers]
    return weighted_numbers
